Get role
Gets a role.
GET
Gets a role.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
role*stringThe role's ID, such as agents.user for roles/agents.user.
Match
^[a-z][a-zA-Z.]*[a-zA-Z]$OK
application/json- response
description*stringWhat the role is for.
grantableOn*array<string>The types of resource the role can be granted on, such as resourcemanager.kosem.ai/Project: those with IAM policies that the role names, on each of which a permission of the role's own service holds, or all of them for a basic role.
includedPermissions*array<string>The permissions the role grants, such as agents.agents.create. Each holds where the role is granted and on the resources below it of the type the permission is checked on.
name*stringResource name, such as roles/agents.user, by which IAM policies grant the role.
title*stringName shown in user interfaces, such as Agents User.
curl -X GET 'https://api.kosem.ai/v1/roles/string'Example Response
{
"description": "string",
"grantableOn": [
"string"
],
"includedPermissions": [
"string"
],
"name": "string",
"title": "string"
}